package com.mx.dla.dda.ncredito.ws.dtos;

import java.util.ArrayList;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;


public class DTNotaCredito extends BaseDTO{

    /**
	 * 
	 */
    private static final long serialVersionUID = -5391680209370163494L;
	protected DTNotaCredito.Registro registro;


    public DTNotaCredito.Registro getRegistro() {
        return registro;
    }


    public void setRegistro(DTNotaCredito.Registro value) {
        this.registro = value;
    }


    public static class Registro extends BaseDTO{

        /**
		 * 
		 */
        private static final long serialVersionUID = 8402064439462410552L;
		protected String sociedad;
        protected String referencia;
        protected String indFactura;
        protected String tipoDoc;
        protected String fechaContab;
        protected String fechaNotaCred;
        protected String moneda;
        protected String texto;
        protected String monto;
        protected List<DTNotaCredito.Registro.Item> item;


        public String getSociedad() {
            return sociedad;
        }

        public void setSociedad(String value) {
            this.sociedad = value;
        }


        public String getReferencia() {
            return referencia;
        }


        public void setReferencia(String value) {
            this.referencia = value;
        }


        public String getIndFactura() {
            return indFactura;
        }


        public void setIndFactura(String value) {
            this.indFactura = value;
        }


        public String getTipoDoc() {
            return tipoDoc;
        }


        public void setTipoDoc(String value) {
            this.tipoDoc = value;
        }


        public String getFechaContab() {
            return fechaContab;
        }


        public void setFechaContab(String value) {
            this.fechaContab = value;
        }


        public String getFechaNotaCred() {
            return fechaNotaCred;
        }


        public void setFechaNotaCred(String value) {
            this.fechaNotaCred = value;
        }


        public String getMoneda() {
            return moneda;
        }


        public void setMoneda(String value) {
            this.moneda = value;
        }


        public String getTexto() {
            return texto;
        }


        public void setTexto(String value) {
            this.texto = value;
        }


        public String getMonto() {
            return monto;
        }


        public void setMonto(String value) {
            this.monto = value;
        }

 
        public List<DTNotaCredito.Registro.Item> getItem() {
            if (item == null) {
                item = new ArrayList<DTNotaCredito.Registro.Item>();
            }
            return this.item;
        }

        public void setItem(List<DTNotaCredito.Registro.Item> item){
        	this.item = item;
        }
        

      
        public static class Item extends BaseDTO{

            /**
			 * 
			 */
            private static final long serialVersionUID = 8374720308495636403L;
			protected String posicionDoc;
            protected String pedido;
            protected String indImpuesto;
            protected String posicionPO;
            protected String importe;
            protected String cantidad;
            protected String unidMedISO;

 
            public String getPosicionDoc() {
                return posicionDoc;
            }


            public void setPosicionDoc(String value) {
                this.posicionDoc = value;
            }

   
            public String getPedido() {
                return pedido;
            }


            public void setPedido(String value) {
                this.pedido = value;
            }

 
            public String getIndImpuesto() {
                return indImpuesto;
            }

 
            public void setIndImpuesto(String value) {
                this.indImpuesto = value;
            }


            public String getPosicionPO() {
                return posicionPO;
            }


            public void setPosicionPO(String value) {
                this.posicionPO = value;
            }

 
            public String getImporte() {
                return importe;
            }

   
            public void setImporte(String value) {
                this.importe = value;
            }

 
            public String getCantidad() {
                return cantidad;
            }


            public void setCantidad(String value) {
                this.cantidad = value;
            }


            public String getUnidMedISO() {
                return unidMedISO;
            }


            public void setUnidMedISO(String value) {
                this.unidMedISO = value;
            }

        }

    }

}
